LIBRARY ieee;
   USE ieee.std_logic_1164.all;
   USE ieee.std_logic_unsigned.all;

ENTITY AbsGen IS
	PORT (
		source_real	: IN STD_LOGIC_VECTOR (15 DOWNTO 0);
		source_imag	: IN STD_LOGIC_VECTOR (15 DOWNTO 0);
		realAbs		: OUT STD_LOGIC_VECTOR (15 DOWNTO 0);
		imagAbs		: OUT STD_LOGIC_VECTOR (15 DOWNTO 0)
	);
END AbsGen;

ARCHITECTURE logic OF AbsGen IS 
	BEGIN
	PROCESS(source_real,source_imag) BEGIN
		if (source_real(15) = '1') then
			realAbs <= source_real XOR "1111111111111111";
		else
			realAbs <= source_real;
		end if;
		if (source_imag(15) = '1') then
			imagAbs <= source_imag XOR "1111111111111111";
		else
			imagAbs <= source_imag;
		end if;
	END PROCESS;
END logic;