LIBRARY ieee;
   USE ieee.std_logic_1164.all;
   USE ieee.std_logic_unsigned.all;

entity Sink_real_mux is

	port

	(

      iSamp        	: IN  STD_LOGIC_VECTOR(15 DOWNTO 0);
      iSink_real_en  : IN  STD_LOGIC;
      oSink_real   	: OUT STD_LOGIC_VECTOR(15 DOWNTO 0)
	);

end entity;

architecture logic of Sink_real_mux is 
begin
	process(iSink_real_en, iSamp) begin
	if iSink_real_en = '1' then
		oSink_real <= iSamp;
	else 
		oSink_real <= (others=>'Z');
		end if;
	end process;
end logic;
	